- Home
- API Enriched
- Support
- operate
- Reboot node.
Reboot node.
POST
/api/operate/namespaces/{namespace}/sites/{site}/vpm/debug/{node}/reboot
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/vpm/debug/example/reboot';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"namespace":"example","node":"example","site":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/vpm/debug/example/reboot \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "namespace": "example", "node": "example", "site": "example" }'Reboot specific node in site.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”namespace
required
string
Namespace Namespace for which the request is sent (system)
site
required
string
Site Name Name of the site.
node
required
string
Node Name Name of the node.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Reboot Request
Request to reboot specific node in site.
object
namespace
Namespace
Namespace for which the request is sent (system)
string
node
Node Name
Name of the node.
string
site
Site Name
Name of the site.
string
Examplegenerated
{ "namespace": "example", "node": "example", "site": "example"}Responses
Section titled “Responses”A successful response.
Media typeapplication/json
Reboot Response
Reboot response.
object
Examplegenerated
{}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example